org.apache.jmeter.gui

## Class MainFrame.ErrorsAndFatalsCounterLogTarget

- java.lang.Object
- - org.apache.jmeter.gui.MainFrame.ErrorsAndFatalsCounterLogTarget

- All Implemented Interfaces:
    EventListener, GuiLogEventListener, Clearable
  Enclosing class:
    MainFrame

      public final class MainFrame.ErrorsAndFatalsCounterLogTarget
      extends Object
      implements GuiLogEventListener, Clearable

  ErrorsAndFatalsCounterLogTarget.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ErrorsAndFatalsCounterLogTarget()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearData()` Clears the current data of the object.
    `void` | `processLogEvent(LogEventObject logEventObject)` Process a log event object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ErrorsAndFatalsCounterLogTarget

          public ErrorsAndFatalsCounterLogTarget()

  - ### Method Detail

    - #### processLogEvent

          public void processLogEvent(LogEventObject logEventObject)

      Description copied from interface: `GuiLogEventListener`
      Process a log event object.
      Specified by:
        `processLogEvent` in interface `GuiLogEventListener`
      Parameters:
        `logEventObject` - log event object

    - #### clearData

          public void clearData()

      Description copied from interface: `Clearable`
      Clears the current data of the object.
      Specified by:
        `clearData` in interface `Clearable`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.